From 17f5be29d54ac1a6abd6493a74427e212ef9e9ca Mon Sep 17 00:00:00 2001
From: Ken Thomases <ken@codeweavers.com>
Date: Wed, 19 Mar 2014 20:23:46 -0500
Subject: winemac: Allow passing a NULL window to send_mouse_input().
To: wine-patches <wine-patches@winehq.org>

---
 dlls/winemac.drv/mouse.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/dlls/winemac.drv/mouse.c b/dlls/winemac.drv/mouse.c
index f9130c0..1baa9bc 100644
--- a/dlls/winemac.drv/mouse.c
+++ b/dlls/winemac.drv/mouse.c
@@ -142,7 +142,7 @@ static void send_mouse_input(HWND hwnd, macdrv_window cocoa_window, UINT flags,
     top_level_hwnd = GetAncestor(hwnd, GA_ROOT);
 
     if ((flags & MOUSEEVENTF_MOVE) && (flags & MOUSEEVENTF_ABSOLUTE) && !drag &&
-        cocoa_window != macdrv_thread_data()->capture_window)
+        top_level_hwnd && cocoa_window != macdrv_thread_data()->capture_window)
     {
         RECT rect;
 
-- 
1.7.7.4

